Subject: RE: I-D ACTION:draft-shiomoto-ccamp-lsp-hierarchy-bis-01.txt

From: "Zafar Ali \(zali\)" <[email-masked]>
Date: Thu, 9 Mar 2006 14:30:39 -0500

Hi Dimitri, 

Please see comments in-line. 

Thanks

Regards... Zafar  

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: Thursday, March 09, 2006 12:41 PM
> To: Zafar Ali (zali)
> Cc: [email-masked]; [email-masked]
> Subject: RE: I-D ACTION:draft-shiomoto-ccamp-lsp-hierarchy-bis-01.txt
> 
> hi zafar
> 
> 
> Hi Dimitri, 
> 
> Please see reply in-line. 
> 
> Thanks
> 
> Regards... Zafar 
> 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]]
> > Sent: Thursday, March 09, 2006 10:19 AM
> > To: Zafar Ali (zali)
> > Cc: [email-masked]; [email-masked]
> > Subject: RE: I-D 
> ACTION:draft-shiomoto-ccamp-lsp-hierarchy-bis-01.txt
> > 
> > hi
> > 
> > see my detailed comments in-line, the bottom line for me is 
> that this 
> > document tries to solve four problems at the same time 
> while each of 
> > them needs separate actions:
> > 
> > - the document tries to clarify the numbered FA LSP 
> signaling (= RFC 
> > 4206
> > bis)
> > 
> > - the document tries to extend mechanisms for stitchable LSP and 
> > hierarchical LSP
> > 
> > - the document tries to define policing and utilisation rules for 
> > these type of LSPs
> 
> What you are referring as "policy" is the Ingress node's 
> intended treatment of the bi-directional LSP. Noticed that 
> the assumption is that the LSP-es are dynamically signaled 
> and flooded to either IP, MPLS or both networks. Since these 
> LSP-es are dynamically signaled, we cannot apply a config at 
> the Egress node. We do all that today- but with configuration 
> knobs at the Egress node. 
> 
> => but this part of a larger discussion than just processing 
> of the signaling for numbered FAs, as an example why not 
> signal the metric for the the FA link (instead of using the 
> default rule ?), etc. this needs to be boiled down to the 
> needs in terms of FA operations 
> 

I agree with you. 

> > - the document tries to extend the inheritance process not only to 
> > G/MPLS-TE control plane instance(s) but to IP networks
> 
> I am not sure how you deduced that. 
> 
> => you state it in the above reply "flooded to either IP, 
> MPLS or both networks" ... so not difficult to deduce ;-)
> 

Like I mentioned before, there are current deployments where
uni-directional LSP-es are advertised into IP topology (as p2p IP
links). This is, of course, done without establishing IGP adj over them.

> => what's more important to me is your problem statement is 
> initially to improve signaling of numbered FA LSPs as 
> indicated in the backward compatibility section "Indeed it 
> was the attempt to implement numbered FAs that gave rise to 
> the work on this document." 
> 

We can fix that. 

> => i am not saying that the other points should not be 
> discussed but they should be done in a much structured way 
> (do things right) ... provide a document that solves one 
> issue but introduces others does not fall in this category
> 

Personally, I am open to that.  

> => see in-line
> 
> > > hi all, some comments on the problem statement of this doc:
> > > 
> > > "(2) How to identify the routing instance in which such an 
> > > advertisement should happen."
> > > 
> > > but by definition it is the same instance when speaking 
> about an FA 
> > > (or are we not speaking about FA's only (?)
> > 
> > Correct, both FA and RA (Routing Adj). 
> > 
> > [dp] the document should clarify "RA signaling" need and issue this 
> > tries to solve, i think it means an LSP used for carrying both data 
> > and control traffic (in part. routing) but the question is what is 
> > expected from this indication
> > 
> 
> We can clearify this in the next revision. But in summary, 
> when an LSP is signalled as an RA, the Ingress and Egress 
> nodes brings up IGP Adjacency on top of it and flood it to 
> the IP network. The same LSP can independently be also 
> flooded into MPLS network (if FA bit is set). 
> 
> => "flooded to the IP network" what do you mean in the 
> control plane topology ?
> 

Please note that there is also pure IP data traffic, which may follow a
topology different than MPLS topology (e.g., not all links are MPLS
enabled, not all MPLS LSP-es are flooded to IP). If the IP network for
control and data are not separated, then the answer is "yes". But in
general that depends on how this GMPLS LPS is used and what IGP instance
is using it. 

> > > the previous paragraph seems to indicate this is not the case
> > > 
> > > "In order for the egress of an LSP to be able to advertise
> > the LSP as
> > > a TE link it needs to know that such an advertisement is
> > desirable, "
> > > 
> > > ok this is a trigger issue
> > 
> > Correct, to adv or not to adv. 
> > 
> > [dp] yes, the question is what's the default behaviour when 
> signaling 
> > an FA (since the doc clarifies when an LSP is an FA the point is 
> > what's a non advertized FA)
> > 
> 
> Often LSP-es are created for providing a short-cut for IP 
> traffic between the Ingress and Egress nodes. These LSP-es 
> are NOT advertsied to the network (I.e., are NOT FA-es, and 
> of course not RA-es). When neither FA nor RA bits are set, 
> the LSP is NOT flooded at all. This is a non-FA case. 
> 
> => and so why does it has to be considered in this document ?
> 

To trigger flooding or not to trigger aspect needs to addressed. 

> If the proposed extensions are NOT used, the default is "TO 
> FLOOD" any signaled LSP, as FA-LSP. This applies to both uni 
> and bi-directional LSP (but there is no issue when LSP is 
> uni-directional, as Egress may still decide NOT to flood it). 
> 
> => nope, for unnumbered FA (bi-dir) LSP this is not the case
> 

Can you point me to the text in lsp hierarchy RFC that states that same?

> > > "and it also needs to know the TE Router ID of the ingress LSR.
> > > (Please recall that the Router ID of the other end of the
> > link is set
> > > in the Link-ID sub-TLV of the Link TLV of the TE Opaque-LSA 
> > > [RFC3630].)"
> > > 
> > > don't understand this; the Router ID is known and the TE
> > router ID is
> > > known as well (part of the TEDB) ... what's the purpose 
> of this new 
> > > requirement (as there is no TE router ID part of the 
> corr. link TLV)
> > > 
> > > clarifications appreciated,
> > 
> > In the current signaling message, for numbered TE link it 
> is NOT clear 
> > where the Ingress/ Egress router-id-es are placed.
> > Some implementation use extended tunnel-id field for this but again 
> > this is not a must. So please read the above as...
> > 
> > => question is WHY is there something specific here for FAs 
> (since the 
> > TE router ID is not part of the info in the link TLV)
> > 
> > "and (when LSP is signaled, Ingress/ Egress nodes ) also 
> needs to know 
> > the TE Router ID of the ingress LSR."
> > 
> > Please also see related text in the ID related to how this help in 
> > flooding.
> > 
> > => and the question is WHY - link TLV does not need such information
> > 
> > > in general, if a clearer procedure for numbered FA
> > signaling could be
> > > devised that would be a good achievement, this said, i am 
> for inst.
> > > unclear about these R and F bits ... where does numbered FA
> > only adv.
> > 
> > A bi-directional LSP can be adv as an FA (only in MPLS TE
> > topology) or an RA (IP network) or both. These bits tells 
> the Egress 
> > node on what treatment is expected by the Ingress node.
> > 
> > => why only in MPLS-TE topology (meaning why not TDM, LSC, etc.) ? 
> > 
> > => the major question is that FAs where not meant to trigger any 
> > routing adjacency in IP networks, this document does introduce this 
> > now the main discussion point is not the bit in the TLV but 
> that the 
> > inheritance mechanism is extended to IP network topology
> > 
> 
> BTW there are deployments where uni-directional packet LSP-es 
> are advertised into IP topology (without establishing IGP adj 
> over unidirectional LSP-es, of course). So I am not sure what 
> is new here? 
> 
> => you are not specific enough in what you mean by the "IP topology" 
> within the GMPLS context for me to comment on your statement
> 

Please see my earlier comment on IP topology. 

> => but more generally one way around either nothing is needed 
> because once setup IP adj. are brought up 

I think you missed the point that how does Egress node know what
treatment to offer to the bidirection LSP? This is not an issue for
unidirectional LSP-es, hence was never an issue in earlier deployments. 

> (nothing new here, 
> and nothing specific to be
> signaled) or you want to link the signaling operation such 
> that the IGP instance triggers the adjacency ... my point is 
> that you should first describe what the purpose of this 
> instead of discussing the extension and then see what to do with it
> 

We can discuss this with you more in Dallas and provide necessary
clearifications.  

Thanks

Regards... Zafar 
<snip>